Get communication thread
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/communication-threads/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/communication-threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/communication-threads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"channel": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"unreadCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Threads
Get communication thread
Requires read:communications.
GET
/
api
/
v1
/
communication-threads
/
{id}
Get communication thread
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/communication-threads/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/communication-threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/communication-threads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"channel": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"unreadCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I